//
//  StorageViewControllerBase.h
//
//  Created by Mike Austin on 6/17/10.
//  Copyright 2010 Storm8, LLC. All rights reserved.
//

#import "ShopViewController.h"
#import "S8HeaderLabel.h"

@interface Farm3StorageViewController : ShopViewController {
	IBOutlet UIButton *upgradeButton;
	
	IBOutlet UIView *capacityBarBackground;
	IBOutlet UIView *capacityBarMarker;
	IBOutlet UILabel *capacityLabel;
	
	IBOutlet S8HeaderLabel *storageHeaderLabel;
	
	IBOutlet UILabel *storageBuildingMissingLabel;
	IBOutlet UIView *storageBuildingMissingView;
	IBOutlet UIButton *storageBuildingMissingBuyButton;
	
	IBOutlet UIView *capacityView;
	
	Vertex lastStorageCellPosition;
	
	IBOutlet UIActivityIndicatorView *processingIndicator;
}

@property (nonatomic) int storageType;
@property (nonatomic, readonly) BOOL hasStoredItems;
@property (nonatomic) UIEdgeInsets cachedContentInsets;

- (void)unstoreItem:(Item *)item_;
- (void)dirtyStorage;
- (void)unstoreItemFromMarket:(Item *)item_;
- (void)setCapacity:(int)capacity withMaxCapacity:(int)maxCapacity;
- (IBAction)upgrade;
- (IBAction)showMarketForStorageItem;
- (void)pressCategoryButtonForCell:(Cell *)cell;
- (BOOL)shouldShowUserItem:(Item *)item;
- (BOOL)isCellCurrentStorageCell:(Cell *)cell;
- (BOOL)focusCameraOnStorageBuilding:(Cell *)storage;

@end
